Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba.sql
Class MySqlDatabase

    java.lang.Object
      org.makumba.db.makumba.Database
          org.makumba.db.makumba.sql.Database
              org.makumba.db.makumba.sql.MySqlDatabase

    public class MySqlDatabase

extends Database

the database adapter for MySQL Server

Field Summary
`static Pattern` | `patternForeignKeyError`
`static String` | `regExpForeignKeyError`

Fields inherited from class org.makumba.db.makumba.sql.Database
`addUnderscore, catalog, connectionConfig, DESIRED_TRANSACTION_LEVEL, eng, sqlDrivers, types, url`

Fields inherited from class org.makumba.db.makumba.Database
`connections, nr, requestForeignKeys, requestUTF8, tp`

Constructor Summary
`MySqlDatabase(Properties p)`

Method Summary
`static String` | `getMddName(String referingTableName)`
`String` | `parseReadableForeignKeyErrorMessage(SQLException se)` Implementing classes can override this method to extract a more readable error message on foreign key errors.

Methods inherited from class org.makumba.db.makumba.sql.Database
`checkState, checkState, exec, getEngine, getEngineProperty, getJdbcUrl, getLimitSyntax, getMaxPointerValue, getMinPointerValue, getNameResolverHook, getPointer, getTableClass, getTableClassConfigured, isDuplicateException, isForeignKeyViolationException, isLimitOffsetFirst, logException, logException, logException, makeDBConnection, OQLDate, prepareQueryImpl, prepareUpdateImpl, readCatalog, SQLEscape, supportsForeignKeys, supportsLimitInQuery, supportsUTF8`

Methods inherited from class org.makumba.db.makumba.Database
`checkForeignKeys, close, closeConnections, copyFrom, copyFrom, copyFrom, copyFrom, copyFrom, deleteFrom, deleteFrom, deleteFrom, deleteFrom, finalize, findConfig, getConfiguration, getConfigurationProperties, getDBConnection, getDBConnection, getDbsv, getFieldNameInSource, getName, getNameResolver, getTable, getTable, getTypeNameInSource, initConnections, isAutoIncrement, makePseudoTable, openTable, openTables, usesHibernateIndexes`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### regExpForeignKeyError

    public static final String regExpForeignKeyError

See Also:
  Constant Field Values

### patternForeignKeyError

    public static final Pattern patternForeignKeyError

Constructor Detail

### MySqlDatabase

    public MySqlDatabase(Properties p)

Method Detail

### parseReadableForeignKeyErrorMessage

    public String parseReadableForeignKeyErrorMessage(SQLException se)

  Description copied from class: `Database`
  Implementing classes can override this method to extract a more readable error message on foreign key errors.

  Overrides:
    `parseReadableForeignKeyErrorMessage` in class `Database`

### getMddName

    public static String getMddName(String referingTableName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20